---
title: "Poll - External Result"
source_url: https://docs.rapyd.net/en/poll---external-result.html
lang: en
---

# Poll - External Result

Send a request using the poll method to provide an external discount approval result to a PAX POS device after a discount or loyalty card is read.

### Parameters

### Request Header Parameters

- - X-API-KEY
  - Unique access key provided by Rapyd for each partner.

### Request Body Parameters

- - approved
  - Whether the external discount was approved.

- - responseCode
  - Response code from the external system.

- - pollId
  - The ID used to poll after a terminal response.

- - deviceToken
  - The token of a PAX POS device.

- - correlationId
  - An ID provided by the caller. Will be returned in the callback for message matching.

- - timeToLive
  - The maximum time, in seconds, for a request to reach the physical terminal. The default value is 5 seconds.

- - terminalId
  - If terminal has more than one merchant, this field is used to identify the merchant. To get a list of merchants, use the requestMerchantConfig request. Value can be null.

### 202 Accepted Response

- - message
  - Accepted

### 400 Error Response

- - type
  - Example: https://tools.ietf.org/html/rfc7231#section-6.5.1

- - title
  - Bad Request

- - status
  - 400

- - detail
  - DeviceId not registered

### 401 Error Response

- - message
  - Unauthorized

### 500 Error Response

- - message
  - Server Error

- /poll/discount/externalresult

- 202 Accepted Poll External Result
- ```curl
  curl -X
  post https://CloudLinkApi/poll/discount/externalresult
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "approved": true,
    "responseCode": "00",
    "pollId": "e855e0cf-a026-4614-9dcb-58814455b6a4",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Accepted"	
  }
  ```

- 400 Bad Request
- ```curl
  curl -X
  post https://CloudLinkApi/poll/discount/externalresult
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "approved": true,
    "responseCode": "00",
    "pollId": "e855e0cf-a026-4614-9dcb-58814455b6a4",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  '
  ```
- ```json
  {
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "Bad Request",
    "status": 400,
    "detail": "DeviceId not registered"
  }
  ```

- 401 Unauthorized
- ```curl
  curl -X
  post https://CloudLinkApi/poll/discount/externalresult
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "approved": true,
    "responseCode": "00",
    "pollId": "e855e0cf-a026-4614-9dcb-58814455b6a4",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Unauthorized"
  }
  ```

- 500 Server Error
- ```curl
  curl -X
  post https://CloudLinkApi/poll/discount/externalresult
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "approved": true,
    "responseCode": "00",
    "pollId": "e855e0cf-a026-4614-9dcb-58814455b6a4",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  '
  ```
- ```json
  {
    "message": "Server Error"
  }
  ```
